Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225279 - Merge Review: aspell-no
Summary: Merge Review: aspell-no
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:05 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 03:37:32 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 21:05:54 UTC
Fedora Merge Review: aspell-no

http://cvs.fedora.redhat.com/viewcvs/devel/aspell-no/

Comment 1 Parag AN(पराग) 2007-03-30 04:32:18 UTC
Can you update Source with new upstream tarball release?

Comment 2 Parag AN(पराग) 2007-03-30 04:37:50 UTC
SPEC name is aspell-no but source its using is aspell-nb
there is new tarball aspell-no-0.50.2.tar.bz2 available

Comment 3 Parag AN(पराग) 2007-03-30 09:39:25 UTC
With Maintainers reply
"Upstream changed tarball name from aspell-no to aspell-nb and then it remained
same for aspell-no package to use aspell-nb tarball with aspell-no SPEC name."



Comment 4 Parag AN(पराग) 2007-03-30 09:40:59 UTC
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM and RPM.
  But following messages are ignorable
  E: aspell-no no-binary
  E: aspell-no only-non-binary-in-usr-lib
  E: aspell-no configure-without-libdir-spec
+ SPEC file contains explanation about above warnings.
+ source files match upstream.
d1173a5ce04f39e9c93183da691e7ce8  aspell-nb-0.50.1-0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Requires: aspell >= 12:0.60
+ Provides: aspell-no = 50:0.50.1-11.fc7
+ Not a GUI APP.

APPROVED.

Comment 5 Parag AN(पराग) 2007-04-11 03:37:32 UTC
As build is available now, therefore CLOSING this review.


Note You need to log in before you can comment on or make changes to this bug.